Bug 185431 - kernel dm: bad argument count check in dm-log.c
Summary: kernel dm: bad argument count check in dm-log.c
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jonathan Earl Brassow
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 181409
TreeView+ depends on / blocked
 
Reported: 2006-03-14 19:28 UTC by Jonathan Earl Brassow
Modified: 2007-11-30 22:07 UTC (History)
6 users (show)

Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 22:40:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0575 normal SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 4 2006-08-10 04:00:00 UTC

Description Jonathan Earl Brassow 2006-03-14 19:28:07 UTC
Description of problem:
We added the ability to take "block_on_error" as a log argument but failed to
bump the number of arguments allowed to disk_ctr.  It's not a big deal until you
specify a sync option _and_ the block_on_error option - which only happens in
the new mirror device fault handling tools.

Version-Release number of selected component (if applicable):
RHEL4 U3, but affects RHEL4 U4+

How reproducible:
always

Steps to Reproduce:
1.  specify a mirror table to dmsetup that includes disk logging, a sync option,
and block_on_error

Comment 2 Jason Baron 2006-03-28 17:56:24 UTC
committed in stream u4 build 34.9. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 6 Red Hat Bugzilla 2006-08-10 22:40:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html



Note You need to log in before you can comment on or make changes to this bug.